package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	beego.Router("/VerifyTemplate/Class_List", &controllers.VerifyTemplateController{}, "*:Class_List") // 分类列表
	beego.Router("/VerifyTemplate/Class_Add", &controllers.VerifyTemplateController{}, "*:Class_Add")   // 分类添加
	beego.Router("/VerifyTemplate/Class_Up", &controllers.VerifyTemplateController{}, "*:Class_Up")     // 分类修改
	beego.Router("/VerifyTemplate/Class_Del", &controllers.VerifyTemplateController{}, "*:Class_Del")   // 分类删除

	beego.Router("/VerifyTemplate/List", &controllers.VerifyTemplateController{}, "*:List") // 模板列表
	beego.Router("/VerifyTemplate/Add", &controllers.VerifyTemplateController{}, "*:Add")   // 模板添加
	beego.Router("/VerifyTemplate/Up", &controllers.VerifyTemplateController{}, "*:Up")     // 模板删除
	beego.Router("/VerifyTemplate/Del", &controllers.VerifyTemplateController{}, "*:Del")   // 模板修改
	beego.Router("/VerifyTemplate/Copy", &controllers.VerifyTemplateController{}, "*:Copy") // 模板复制

	beego.Router("/VerifyTemplate/Map_List", &controllers.VerifyTemplateController{}, "*:Map_List") // 标签列表
	beego.Router("/VerifyTemplate/Map_Add", &controllers.VerifyTemplateController{}, "*:Map_Add")   // 标签添加
	beego.Router("/VerifyTemplate/Map_Up", &controllers.VerifyTemplateController{}, "*:Map_Up")     // 标签修改
	beego.Router("/VerifyTemplate/Map_Del", &controllers.VerifyTemplateController{}, "*:Map_Del")   // 标签删除

	beego.Router("/VerifyTemplateMapData/List", &controllers.VerifyTemplateController{}, "*:Map_Data_List") // 标签数据列表
	beego.Router("/VerifyTemplateMapData/Pu", &controllers.VerifyTemplateController{}, "*:Map_Data_Pu")     // 添加标签数据
	beego.Router("/VerifyTemplateMapData/Copy", &controllers.VerifyTemplateController{}, "*:Map_Data_Copy") // 复制标签数据
}
